summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Diogo Leal <estranho@diogoleal.com>2010-10-24 22:03:50 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-10-25 07:55:09 -0500
commit103c7251b48333d58c3fb08d22c508c9c12acdd4 (patch)
tree4b2996e5ce34f63185f056ddf6d6951314891819 /development
parent26069d65664d1c94e24dec86abbea93cf640e86e (diff)
downloadslackbuilds-103c7251b48333d58c3fb08d22c508c9c12acdd4.tar.gz
slackbuilds-103c7251b48333d58c3fb08d22c508c9c12acdd4.tar.xz
development/arduino: Added (IDE)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/arduino/README19
-rw-r--r--development/arduino/arduino.SlackBuild53
-rw-r--r--development/arduino/arduino.desktop9
-rw-r--r--development/arduino/arduino.info10
-rw-r--r--development/arduino/arduino.pngbin0 -> 19575 bytes
-rw-r--r--development/arduino/doinst.sh3
-rw-r--r--development/arduino/slack-desc19
7 files changed, 113 insertions, 0 deletions
diff --git a/development/arduino/README b/development/arduino/README
new file mode 100644
index 0000000000..61d402215d
--- /dev/null
+++ b/development/arduino/README
@@ -0,0 +1,19 @@
+Arduino is an open-source electronics prototyping platform based on
+flexible, easy-to-use hardware and software. It's intended for artists,
+designers, hobbyists, and anyone interested in creating interactive
+objects or environments.
+
+Arduino can sense the environment by receiving input from a variety of
+sensors and can affect its surroundings by controlling lights, motors,
+and other actuators. The microcontroller on the board is programmed
+using the Arduino programming language (based on Wiring) and the Arduino
+development environment (based on Processing). Arduino projects can be
+stand-alone or they can communicate with software on running on a
+computer (e.g. Flash, Processing, MaxMSP).
+
+The open-source Arduino environment makes it easy to write code and
+upload it to the i/o board. It runs on Windows, Mac OS X, and Linux. The
+environment is written in Java and based on Processing, avr-gcc, and
+other open source software.
+
+
diff --git a/development/arduino/arduino.SlackBuild b/development/arduino/arduino.SlackBuild
new file mode 100644
index 0000000000..925a5a34cc
--- /dev/null
+++ b/development/arduino/arduino.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for Arduino IDE
+# Written by Diogo Leal(estranho)
+
+PRGNAM=arduino
+VERSION=${VERSION:-0019}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=i486
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PKG
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt
+cp -a ../$PRGNAM-$VERSION $PKG/opt/arduino
+
+install -D -m 644 $CWD/arduino.desktop $PKG/usr/share/applications/arduino.desktop
+install -D -m 644 $CWD/arduino.png $PKG/usr/share/pixmaps/arduino.png
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ../$PRGNAM-$VERSION/revisions.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/arduino/arduino.desktop b/development/arduino/arduino.desktop
new file mode 100644
index 0000000000..0d6a0cf702
--- /dev/null
+++ b/development/arduino/arduino.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Arduino IDE
+GenericName=Arduino IDE
+Comment=Arduino IDE development
+Exec=/opt/arduino/arduino
+Icon=arduino
+Terminal=false
+Type=Application
+Categories=KDE;Qt;GNOME;GTK;Development;
diff --git a/development/arduino/arduino.info b/development/arduino/arduino.info
new file mode 100644
index 0000000000..1ee51ef1f7
--- /dev/null
+++ b/development/arduino/arduino.info
@@ -0,0 +1,10 @@
+PRGNAM="arduino"
+VERSION="0019"
+HOMEPAGE="http://www.arduino.cc"
+DOWNLOAD="http://arduino.googlecode.com/files/arduino-0019.tgz"
+MD5SUM="23a438802e1f51a0925f9a9d6951b581"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Diogo Leal"
+EMAIL="estranho@diogoleal.com"
+APPROVED="dsomero"
diff --git a/development/arduino/arduino.png b/development/arduino/arduino.png
new file mode 100644
index 0000000000..4d88f52023
--- /dev/null
+++ b/development/arduino/arduino.png
Binary files differ
diff --git a/development/arduino/doinst.sh b/development/arduino/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/arduino/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/arduino/slack-desc b/development/arduino/slack-desc
new file mode 100644
index 0000000000..ea8f772d60
--- /dev/null
+++ b/development/arduino/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+arduino: Arduino (IDE)
+arduino:
+arduino: The open-source Arduino environment makes it easy to write code and
+arduino: upload it to the i/o board.
+arduino:
+arduino: It runs on Windows, Mac OS X, and Linux.
+arduino:
+arduino: The environment is written in Java and based on Processing,
+arduino: avr-gcc, and other open source software.
+arduino:
+arduino: